%global mpr_version 4.15-2383-2383-20180113
%define LNG ru

Summary: Russian man (manual) pages from the Linux Documentation Project
Name: man-pages-%LNG
Version: 4.15
Release: %mkrel 1.20180115
License: Distributable
Group: System/Internationalization
Source: http://sourceforge.net/projects/man-pages-ru/files/man-pages-ru_%{mpr_version}.tar.bz2
Source2: man-pages-%LNG-goodies.tar.bz2
URL: http://www.linuxshare.ru/projects/trans/mans.html
BuildRequires: man
Requires: locales-%LNG, man
Requires(post): sed grep man
Autoreq: false
BuildArch: noarch
Obsoletes: man-%LNG, manpages-%LNG
Provides: man-%LNG, manpages-%LNG


%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Russian. 

%prep
%setup -q -n man-pages-ru_%{mpr_version}

%build

%install
mkdir -p %{buildroot}/%{_mandir}/%LNG/
mkdir -p %{buildroot}/var/catman/%LNG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 5 7 8; do
	cp -adpvrf man$i %{buildroot}/%{_mandir}/%LNG/
done

tar jxf %{SOURCE2} -C %{buildroot}/usr/share

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LNG, if there isn't any man page
   ## directory /%{_mandir}/%LNG
   if [ ! -d %{_mandir}/%LNG ] ; then
       rm -rf /var/catman/%LNG
   fi
fi

%files
%defattr(0644,root,root,0755) 
%doc README
%defattr(0644,root,man,755)
%attr(0755,root,root) %dir %{_mandir}/%LNG
%attr(0755,root,root) %dir %{_mandir}/%LNG/man*
%{_mandir}/%LNG/man*/*
%attr(755,root,man) /var/catman/%LNG


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 4.15-1.20180115.mga8
+ Revision: 1502035
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.15-1.20180114.mga7
+ Revision: 1279462
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 4.15-1.20180113.mga7
+ Revision: 1216635
- Update to version 4.15-2383-2383-20180113
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 tv <tv> 3.41-2.20120903.mga6
+ Revision: 900270
- drop support for makewhatis now that we use mandb

* Wed Oct 15 2014 umeabot <umeabot> 3.41-1.20120903.mga5
+ Revision: 746962
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.41-1.20120902.mga5
+ Revision: 682157
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 tv <tv> 3.41-1.20120901.mga5
+ Revision: 671798
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.98-11.mga4
+ Revision: 522728
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 luigiwalser <luigiwalser> 0.98-10.mga3
+ Revision: 405268
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 0.98-9.mga3
+ Revision: 359403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 0.98-8.mga1
+ Revision: 6062
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-ru


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.98-8mdv2011.0
+ Revision: 609327
- rebuild
- fix build
- fix typos
- fix build
- rebuild
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.98-5mdv2009.1
+ Revision: 351585
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.98-4mdv2009.0
+ Revision: 223194
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.98-3mdv2008.1
+ Revision: 152996
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Apr 23 2007 Thierry Vignaud <tv@mandriva.org> 0.98-1mdv2008.0
+ Revision: 17425
- kill icon
- new release


* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.97-3mdk
- fix post scripts (thx gwenole)

* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.97-2mdk
- use %%mkrel
- rpmlint cleanups

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.97-1mdk
- new release

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7-2mdk
- rebuild

